summaryrefslogtreecommitdiff
path: root/dev-debug
diff options
context:
space:
mode:
Diffstat (limited to 'dev-debug')
-rw-r--r--dev-debug/Manifest.gzbin4189 -> 4195 bytes
-rw-r--r--dev-debug/dtrace/Manifest2
-rw-r--r--dev-debug/dtrace/dtrace-2.0.2.ebuild225
-rw-r--r--dev-debug/gdb/Manifest2
-rw-r--r--dev-debug/gdb/gdb-16.2.ebuild354
-rw-r--r--dev-debug/gef/Manifest6
-rw-r--r--dev-debug/gef/gef-2025.01.ebuild (renamed from dev-debug/gef/gef-2024.01.ebuild)6
-rw-r--r--dev-debug/gef/gef-9999.ebuild4
-rw-r--r--dev-debug/pwndbg/Manifest4
-rw-r--r--dev-debug/pwndbg/pwndbg-20250120.ebuild (renamed from dev-debug/pwndbg/pwndbg-20240214.ebuild)22
-rw-r--r--dev-debug/strace/Manifest3
-rw-r--r--dev-debug/strace/strace-6.13.ebuild117
12 files changed, 724 insertions, 21 deletions
diff --git a/dev-debug/Manifest.gz b/dev-debug/Manifest.gz
index 5d4195a58a0e..4f26af9b9760 100644
--- a/dev-debug/Manifest.gz
+++ b/dev-debug/Manifest.gz
Binary files differ
diff --git a/dev-debug/dtrace/Manifest b/dev-debug/dtrace/Manifest
index a0050b368b79..2c99b7e9ccdf 100644
--- a/dev-debug/dtrace/Manifest
+++ b/dev-debug/dtrace/Manifest
@@ -1,5 +1,7 @@
AUX dtprobed.init 209 BLAKE2B f97bd2c0c681697becc2c6c7f87b8fdf779251d0473dd440bf30f0c3ce95e26e24b2496a2e8de4ff33a9ffc8a05e5bc64d066969dd7e4458ea65d2d10ae61723 SHA512 12a8e07747d8a8c3456675ea88060656dad2b594abc69daa15384abab4d11ea888d88287f921a095cad84f2e254dc858ea50e29f5e17b663f7b6be25dcbfd7b5
DIST dtrace-2.0.1.1.tar.gz 1435524 BLAKE2B 761a931b9d871e9316f11ebe960f6bbfd3c16a82cf1cdd9ae5d69b22e0d8cea8d4b3924c960b7915f8843ce1e5c37bd257a52f1ce346957002b0ab00e59306fb SHA512 15809f2bc996bac9bd6cbb2b03eaa9a0c6a2aea9404642280f14d75b7d6feaec31b5d2c16915255cd202006cdff7835f578c042b087605708a9eb935407f1b95
+DIST dtrace-2.0.2.tar.gz 1466888 BLAKE2B 82bcf55f46802b525dd5bfb8d2ee96223d6ee3e76b752632b61cdc652308efa143f8158fbdfff7f2af1e63d5fc57aa44b0ca826e313b3c5c9d3019528101fccb SHA512 7d3fcb6ffcbfc6732b66e217cee6d45a504beb7c8b9f887b2a781eea68ef2f44de9aa373728a91d3a91e59a0be0664e2d7d92d42fd25b88de4c5005e62505c78
EBUILD dtrace-2.0.1.1-r2.ebuild 6365 BLAKE2B 36e1f2ac964825fce09402200a5f92412aa84cb8e6b0ee4945ef6826d4a225ae11a5e2f5daaf6699ef6c99452ac01b302c1419fc14831c96f51d0f2bd48baa83 SHA512 68d337bc7b378e17aa58c01513aeca69fc1e15aaf23556a72da1d15ae5df816e0858b406b2ff7ebcad69e39c2243bb4d57b401d8132bf1c0239bcb2ee641fdd0
+EBUILD dtrace-2.0.2.ebuild 6059 BLAKE2B 6232a89fb7961426316de5103f538e276c26058bebf1a8d00fcacff3074134384e320f702deb566e9a86437b47721a2a8ba29dc044002676e63276a3a6e971d9 SHA512 0ccfc1e9bac4da86d505c90116fbe66cea21e30bae0055f25507facf8f9f13b851a3a5888d2352f0a47f499cfc9659074624db1dfabad47fb63a255ebbd60de4
EBUILD dtrace-9999.ebuild 6054 BLAKE2B 5a77939a92131662f83f9a6c522ab50fc69edd673db8f18eee86e72cbf2dc83eb4508340a201b96280a90e0bd7eda4c41451f427ce48d74f29441a937d77a2e7 SHA512 8828e405f4520ac2c035b9644a8130212452db742c771ddca3b6a47c4ce2ff02e85cbca45208d6a7fe4da015a3a95214f468b561ccc71f399c6a01391b6680df
MISC metadata.xml 632 BLAKE2B 695cab30d4a45e94a1a69ca4c071e2aa2d99cb0457f4b02d0ea6e88db0574976082e96e9c9ebd620bcdacd9f30f97938301a70e67df1b9baebb692184598820a SHA512 b028b76d8d153ee8db9036c78342828543ce2675092f0daf9e1a82af7d7c249b3ea450567e1c3c04009764004c45424e2f9dfebd362d1364ff7cb2da40be3962
diff --git a/dev-debug/dtrace/dtrace-2.0.2.ebuild b/dev-debug/dtrace/dtrace-2.0.2.ebuild
new file mode 100644
index 000000000000..d514c846de59
--- /dev/null
+++ b/dev-debug/dtrace/dtrace-2.0.2.ebuild
@@ -0,0 +1,225 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo flag-o-matic linux-info systemd toolchain-funcs udev
+
+DESCRIPTION="Dynamic BPF-based system-wide tracing tool"
+HOMEPAGE="https://github.com/oracle/dtrace-utils https://wiki.gentoo.org/wiki/DTrace"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_BRANCH="devel"
+ EGIT_REPO_URI="https://github.com/oracle/dtrace-utils"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/oracle/dtrace-utils/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}"/dtrace-utils-${PV}
+
+ KEYWORDS="-* ~amd64 ~arm64"
+fi
+
+LICENSE="UPL-1.0"
+SLOT="0"
+IUSE="test-install valgrind"
+
+# XXX: right now, we auto-adapt to whether multilibs are present:
+# should we force them to be? how?
+#
+# TODO: can we make the wireshark dep conditional?
+DEPEND="
+ dev-libs/elfutils
+ dev-libs/libbpf
+ dev-libs/libpfm:=
+ net-analyzer/wireshark[dumpcap]
+ net-libs/libpcap
+ >=sys-fs/fuse-3.2.0:3
+ >=sys-libs/binutils-libs-2.42:=
+ sys-libs/zlib
+"
+RDEPEND="
+ ${DEPEND}
+ !dev-debug/systemtap[dtrace-symlink(+)]
+ net-analyzer/wireshark
+ test-install? (
+ app-alternatives/bc
+ app-editors/vim-core
+ dev-build/make
+ dev-lang/perl
+ dev-util/perf
+ net-fs/nfs-utils
+ sys-apps/coreutils
+ sys-fs/xfsprogs
+ sys-process/time
+ virtual/jdk
+ virtual/perl-IO-Socket-IP
+ )
+"
+BDEPEND="
+ dev-build/make
+ sys-apps/gawk
+ sys-devel/bison
+ >=sys-devel/bpf-toolchain-14.1.0
+ sys-devel/flex
+"
+DEPEND+=" valgrind? ( dev-debug/valgrind )"
+
+QA_PRESTRIPPED="
+ usr/.*/dtrace/testsuite/test/triggers/.*
+"
+QA_FLAGS_IGNORED="
+ usr/.*/dtrace/testsuite/test/triggers/.*
+"
+
+# TODO: report upstream (bug #938221) although it seems like it's
+# not relevant given it's a BPF object.
+QA_EXECSTACK="
+ usr/*/dtrace/bpf_dlib.*
+"
+
+pkg_pretend() {
+ # TODO: optional kernel patches
+
+ # Basics for debugging information, BPF
+ local CONFIG_CHECK="~BPF ~DEBUG_INFO_BTF ~KALLSYMS_ALL"
+
+ CONFIG_CHECK+=" ~CUSE"
+
+ # Tracing
+ CONFIG_CHECK+=" ~TRACING"
+ CONFIG_CHECK+=" ~UPROBES ~UPROBE_EVENTS"
+ CONFIG_CHECK+=" ~FTRACE ~FTRACE_SYSCALLS ~DYNAMIC_FTRACE ~FUNCTION_TRACER"
+ CONFIG_CHECK+=" ~FPROBE"
+ # DTrace can fallback to kprobes for fbt but people often want them off
+ # for security and newer kernels work fine with BPF for that, so
+ # let's omit it. kprobes are slower and scale poorly.
+
+ # https://gcc.gnu.org/PR84052
+ CONFIG_CHECK+=" !GCC_PLUGIN_RANDSTRUCT"
+
+ if use test-install ; then
+ # See test/modules
+ CONFIG_CHECK+=" ~EXT4_FS ~ISO9660_FS ~NFS_FS ~RDS ~TUN"
+ fi
+
+ check_extra_config
+}
+
+pkg_setup() {
+ eval unset ${!LC_*} LANG
+}
+
+src_configure() {
+ if tc-is-cross-compiler; then
+ die "DTrace does not yet support cross-compilation."
+ fi
+
+ tc-export CC
+
+ # lld does this by default, so fix that, although lld fails anyway...
+ # 'LIBDTRACE_1.0' to symbol 'dtrace_provider_modules' failed: symbol not defined
+ append-ldflags $(test-flags-CCLD -Wl,--undefined-version)
+ # mold and lld can't cope with some relocation types used, e.g.
+ # 'test-triggers--usdt-tst-forker-prov.o:(.SUNW_dof): unknown relocation: R_X86_64_GLOB_DAT'
+ tc-ld-force-bfd
+
+ # -fno-semantic-interposition seems to lead to a broken dtrace
+ # that can't actually obtain results from probes, even trivial examples
+ # just hang.
+ filter-flags -fno-semantic-interposition
+ # https://github.com/oracle/dtrace-utils/issues/86
+ filter-lto
+
+ local confargs=(
+ # TODO: Maybe we should set the UNPRIV_UID to something? -3 is a bit... kludgy
+ --prefix="${EPREFIX}"/usr
+ --mandir="${EPREFIX}"/usr/share/man
+ --docdir="${EPREFIX}"/usr/share/doc/${PF}
+ --with-systemd
+ HAVE_LIBCTF=yes
+ HAVE_BPFV3=yes
+ HAVE_VALGRIND=$(usex valgrind)
+ )
+
+ edo ./configure "${confargs[@]}"
+}
+
+src_compile() {
+ # -j1: https://github.com/oracle/dtrace-utils/issues/82
+ emake verbose=1 -j1 $(usev !test-install TRIGGERS='')
+}
+
+src_test() {
+ # Needs root and is also very time-consuming
+ :;
+}
+
+src_install() {
+ emake DESTDIR="${D}" -j1 install $(usev test-install install-test)
+
+ # Stripping the BPF libs breaks them
+ dostrip -x "/usr/$(get_libdir)"
+
+ # It's a binary (TODO: move it?)
+ docompress -x /usr/share/doc/${PF}/showUSDT
+
+ newinitd "${FILESDIR}"/dtprobed.init dtprobed
+}
+
+pkg_postinst() {
+ # We need a udev reload to pick up the CUSE device node rules.
+ udev_reload
+
+ if [[ -n ${REPLACING_VERSIONS} ]]; then
+ # TODO: Make this more intelligent wrt comparison
+ # One option for this is to detect when it's needed (DOF stash layout changes)
+ # and then e.g. sleep and restart for the user.
+ if systemd_is_booted ; then
+ einfo "Restart the DTrace 'dtprobed' service after upgrades once all dtraces are stopped with:"
+ einfo " systemctl try-restart dtprobed"
+ else
+ einfo "Restart the DTrace 'dtprobed' service after upgrades once all dtraces are stopped with:"
+ einfo " /etc/init.d/dtprobed restart"
+ fi
+ else
+ einfo "See https://wiki.gentoo.org/wiki/DTrace for getting started."
+
+ # We can't do magic for people with ROOT=.
+ if [[ -n ${ROOT} ]] ; then
+ einfo "Enable and start the DTrace 'dtprobed' service for systemd with:"
+ einfo " systemctl enable --now dtprobed"
+ einfo
+ einfo "Enable and start the DTrace 'dtprobed' service for OpenRC with:"
+ einfo " rc-update add dtprobed"
+ einfo " /etc/init.d/dtprobed start"
+ return
+ fi
+
+ # For first installs, we enable the service and start it.
+ #
+ # This is unusual, but the behaviour without dtprobed running
+ # is untested/unsupported. It's not a network service, it
+ # has no configuration, reads a single device node, and
+ # does all parsing within a seccomp jail. It also leads
+ # to hard-to-diagnose issues because USDT probes won't
+ # be registered and an application might have already
+ # started up which needs to be traced.
+ if systemd_is_booted ; then
+ ebegin "Enabling & starting DTrace 'dtprobed' service"
+ systemctl enable --now dtprobed
+ eend $?
+ else
+ ebegin "Enabling DTrace 'dtprobed' service"
+ rc-update add dtprobed
+ eend $?
+
+ ebegin "Starting DTrace 'dtprobed' service"
+ rc-service dtprobed start
+ eend $?
+ fi
+ fi
+}
+
+pkg_postrm() {
+ udev_reload
+}
diff --git a/dev-debug/gdb/Manifest b/dev-debug/gdb/Manifest
index c95d3e69ed62..281a366c666d 100644
--- a/dev-debug/gdb/Manifest
+++ b/dev-debug/gdb/Manifest
@@ -1,8 +1,10 @@
AUX gdb-8.3.1-verbose-build.patch 395 BLAKE2B e2e82307ceae64d16aa9b57a5e639eb5d217c4d977aed0847fdf125bb13ebc004906d9afb8e3f629c41efccca88df0040015e7799c1fd24de5fb50f62f5bbd90 SHA512 c2bb013e4fcabefddcd8042bd3cbb53471f83182cc8769fe0d19eed80ccc4a83bd84d120006fa25b3b7d0310dc2f2ec6b44a6ff74909cd312b7e491f371777a3
DIST gdb-15.2.tar.xz 24332820 BLAKE2B 073668c21b41f12bf40160c6d3df808056453cc9df3b5b86374abe38e955d208f86467458b7e64b3c3e93d70b7f87425619778173fdb375256cd85be15419f14 SHA512 624007deceb5b15ba89c0725883d1a699fa46714ef30887f3d0165e17c5d65d634671740a135aa69e437d916218abb08cfa2a38ed309ff19d48f51da56b2a8ba
DIST gdb-16.1.tar.xz 24427088 BLAKE2B d1907a4abffda663e3d383959ee18e1ef91fe913c378cf9681bdf5810bf7e7f065236f722564fd77eebf15700751fed1cef58c25cd0c0c44d1d9a416809f6a66 SHA512 17b322fde0655a849506851c879aba9ad1f8bfee804b900efc718806091bec75511383bd4d632b8b32a32ef207233331581501157df18a8df528abe6ff667577
+DIST gdb-16.2.tar.xz 24426680 BLAKE2B 480cc5c116e418d7eb13a68bee8a2ced8e7a40bd38826dde3590a8d5b690c3dd46be6fa3790518b39ac7255698a1ecf35a2bb51d7e38d849f7b9277c15fe38fc SHA512 f04a6335dbdee371edb7e3213294fcbb878ac39adedb73f7e17e621f54350488f5f5bea9bc742639239c122d590bed158771a74fc3aaeaa7fa0ae304232576a3
EBUILD gdb-15.2-r100.ebuild 9185 BLAKE2B ef2d07f452d550a9ad6e9be37e6873d1edd78ef5b40832d33c5f241f2facf13ad226f4c08b7c3762b8b298eaae9b3004d6de9344b3209731874c88ce59c2b472 SHA512 0a537e66d10b8b53e16235f5251790a6c9154cddc9afe6a34843ab6d1b20e1f3d8c32e447035f19330f108b2d7e2a1c7fe5080d745fd298471bde7d9a8c19a28
EBUILD gdb-15.2-r101.ebuild 9684 BLAKE2B d7a12f0e7281d3da91d228c2080ee635f5b5e4064380c0084f5174f75514be30264fbbae11e6f5cba1a436df85d8a378a6b0e452dbdb9f479dfa69aa4c4d2428 SHA512 d7159617416cbd8bc2179a81858d700454bd6680bc9de8453bfe659a81e7f466f3e50f08a373326b954a16c98f00b5f0ee44a1ee4273461abdaaa92d71df615f
EBUILD gdb-16.1.ebuild 9789 BLAKE2B 5e18f3c53d1ece90f53b6ab8d0bc376fbf7e4d714605f2969f44e4a061ac99abeb2ae09c7dbdaac9e331a0d063b7245ea0e70796346b76b760978bd6d468fc4b SHA512 d0ff71ce46a8560d7b4a0afc95f3d7159fc526bc4e8534b1ffd8da7dc47bab856f14cf8d058667f4d0abacfeaa0316cada917b573ed70c92f2ae0e2d2d5c2603
+EBUILD gdb-16.2.ebuild 9789 BLAKE2B 5e18f3c53d1ece90f53b6ab8d0bc376fbf7e4d714605f2969f44e4a061ac99abeb2ae09c7dbdaac9e331a0d063b7245ea0e70796346b76b760978bd6d468fc4b SHA512 d0ff71ce46a8560d7b4a0afc95f3d7159fc526bc4e8534b1ffd8da7dc47bab856f14cf8d058667f4d0abacfeaa0316cada917b573ed70c92f2ae0e2d2d5c2603
EBUILD gdb-9999.ebuild 9789 BLAKE2B 5714d25763f1dfeaf9e92677a532ea5a6ca2960ba69d854fb6cbce1436e880500338612d9d3d3eb52872438ba6cb937f84eafa9fb6fb4a11a081b952b8e25fb7 SHA512 4f4d4e712ca7e61a9316965361101d24ec716f062bd924bca9ecfc1cf7d79f512ae3d3b941f47b5b53824b595ec18f9c7abb32ff7d7c5350f360b9d6a2eace38
MISC metadata.xml 1446 BLAKE2B c62ea8e285f00353200641c7d7a0b94d62ce32669643d2d770a4bbbc437bda96d0fd98ec81bcafbf1f318df3eb39a4e00a75a965bcdec615456307976ef0d0f9 SHA512 7f06a197bfd4d22933448e87b58d0f1bd9da293835a5b58697240ccafc1f350845a2f6875416fd2b6eef1cecbcc82a782320607d6ca620e3daf374f0fd51fa28
diff --git a/dev-debug/gdb/gdb-16.2.ebuild b/dev-debug/gdb/gdb-16.2.ebuild
new file mode 100644
index 000000000000..991cd5491c92
--- /dev/null
+++ b/dev-debug/gdb/gdb-16.2.ebuild
@@ -0,0 +1,354 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# See https://sourceware.org/gdb/wiki/DistroAdvice for general packaging
+# tips & notes.
+
+GUILE_COMPAT=( 2-2 3-0 )
+PYTHON_COMPAT=( python3_{10..13} )
+inherit flag-o-matic guile-single linux-info python-single-r1 strip-linguas toolchain-funcs
+
+export CTARGET=${CTARGET:-${CHOST}}
+
+if [[ ${CTARGET} == ${CHOST} ]] ; then
+ if [[ ${CATEGORY} == cross-* ]] ; then
+ export CTARGET=${CATEGORY#cross-}
+ fi
+fi
+
+is_cross() { [[ ${CHOST} != ${CTARGET} ]] ; }
+
+case ${PV} in
+ 9999*)
+ # live git tree
+ EGIT_REPO_URI="
+ https://sourceware.org/git/binutils-gdb.git
+ https://git.sr.ht/~sourceware/binutils-gdb
+ https://gitlab.com/x86-binutils/binutils-gdb.git
+ "
+ inherit git-r3
+ SRC_URI=""
+ ;;
+ *.*.50_p2???????|*.*.90_p2???????)
+ # Weekly snapshots
+ MY_PV="${PV/_p/.}"
+ SRC_URI="
+ https://sourceware.org/pub/gdb/snapshots/branch/gdb-weekly-${MY_PV}.tar.xz
+ https://sourceware.org/pub/gdb/snapshots/current/gdb-weekly-${MY_PV}.tar.xz
+ https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/gdb-weekly-${MY_PV}.tar.xz
+ "
+ S="${WORKDIR}/${PN}-${MY_PV}"
+
+ # e.g. 13.1.90_p20230325 is a snapshot on the stable branch, so it's fine
+ if [[ ${PV} == *.[123456789].9?_p2??????? ]] ; then
+ REGULAR_RELEASE=1
+ fi
+ ;;
+ *.*.9?)
+ # Prereleases
+ MY_PV="${PV/_p/.}"
+ SRC_URI="
+ https://sourceware.org/pub/gdb/snapshots/branch/gdb-${MY_PV}.tar.xz
+ https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/gdb-${MY_PV}.tar.xz
+ "
+ S="${WORKDIR}/${PN}-${MY_PV}"
+ ;;
+ *)
+ # Normal upstream release
+ SRC_URI="
+ mirror://gnu/gdb/${P}.tar.xz
+ https://sourceware.org/pub/gdb/releases/${P}.tar.xz
+ "
+
+ REGULAR_RELEASE=1
+esac
+
+PATCH_DEV=""
+PATCH_VER=""
+DESCRIPTION="GNU debugger"
+HOMEPAGE="https://sourceware.org/gdb/"
+SRC_URI="
+ ${SRC_URI}
+ ${PATCH_DEV:+https://dev.gentoo.org/~${PATCH_DEV}/distfiles/${CATEGORY}/${PN}/${P}-patches-${PATCH_VER}.tar.xz}
+ ${PATCH_VER:+mirror://gentoo/${P}-patches-${PATCH_VER}.tar.xz}
+"
+
+LICENSE="GPL-3+ LGPL-2.1+"
+SLOT="0"
+IUSE="cet debuginfod guile lzma multitarget nls +python rocm +server sim source-highlight test vanilla xml xxhash zstd"
+if [[ -n ${REGULAR_RELEASE} ]] ; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+fi
+REQUIRED_USE="
+ guile? ( ${GUILE_REQUIRED_USE} )
+ python? ( ${PYTHON_REQUIRED_USE} )
+ rocm? ( multitarget )
+"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-libs/mpfr:=
+ dev-libs/gmp:=
+ >=sys-libs/ncurses-5.2-r2:=
+ >=sys-libs/readline-7:=
+ sys-libs/zlib
+ elibc_glibc? ( net-libs/libnsl:= )
+ debuginfod? (
+ dev-libs/elfutils[debuginfod(-)]
+ )
+ lzma? ( app-arch/xz-utils )
+ python? ( ${PYTHON_DEPS} )
+ guile? ( ${GUILE_DEPS} )
+ xml? ( dev-libs/expat )
+ rocm? ( dev-libs/rocdbgapi )
+ source-highlight? (
+ dev-util/source-highlight
+ )
+ xxhash? (
+ dev-libs/xxhash
+ )
+ zstd? ( app-arch/zstd:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ app-arch/xz-utils
+ sys-apps/texinfo
+ app-alternatives/yacc
+ nls? ( sys-devel/gettext )
+ source-highlight? ( virtual/pkgconfig )
+ test? ( dev-util/dejagnu )
+"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ MIN # gnulib FP (bug #898688)
+)
+
+QA_PREBUILT="usr/share/gdb/guile/*"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-8.3.1-verbose-build.patch
+)
+
+pkg_setup() {
+ local CONFIG_CHECK
+
+ if kernel_is -ge 6.11.3 ; then
+ # https://forums.gentoo.org/viewtopic-p-8846891.html
+ #
+ # Either CONFIG_PROC_MEM_ALWAYS_FORCE or CONFIG_PROC_MEM_FORCE_PTRACE
+ # should be okay, but not CONFIG_PROC_MEM_NO_FORCE.
+ CONFIG_CHECK+="
+ ~!PROC_MEM_NO_FORCE
+ "
+ fi
+
+ linux-info_pkg_setup
+
+ use guile && guile-single_pkg_setup
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ use guile && guile_bump_sources
+
+ strip-linguas -u bfd/po opcodes/po
+
+ # Avoid using ancient termcap from host on Prefix systems
+ sed -i -e 's/termcap tinfow/tinfow/g' \
+ gdb/configure{.ac,} || die
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ # code relies on C++11, so make sure we get that selected
+ # due to Python 3.11 pymacro.h doing stuff to work around
+ # versioning mess based on the C version, while we're compiling
+ # C++ here, so we need to make it clear we're doing C++11/C11
+ # because Solaris system headers act on these
+ sed -i -e 's/-x c++/-std=c++11/' gdb/Makefile.in || die
+ fi
+}
+
+gdb_branding() {
+ printf "Gentoo ${PV} "
+
+ if ! use vanilla && [[ -n ${PATCH_VER} ]] ; then
+ printf "p${PATCH_VER}"
+ else
+ printf "vanilla"
+ fi
+
+ [[ -n ${EGIT_COMMIT} ]] && printf " ${EGIT_COMMIT}"
+}
+
+src_configure() {
+ strip-unsupported-flags
+
+ # See https://www.gnu.org/software/make/manual/html_node/Parallel-Output.html
+ # Avoid really confusing logs from subconfigure spam, makes logs far
+ # more legible.
+ MAKEOPTS="--output-sync=line ${MAKEOPTS}"
+
+ local myconf=(
+ # portage's econf() does not detect presence of --d-d-t
+ # because it greps only top-level ./configure. But not
+ # libiberty's or gdb's configure.
+ --disable-dependency-tracking
+ --disable-silent-rules
+
+ --with-pkgversion="$(gdb_branding)"
+ --with-bugurl='https://bugs.gentoo.org/'
+ --disable-werror
+ # Disable modules that are in a combined binutils/gdb tree. bug #490566
+ --disable-{binutils,etc,gas,gold,gprof,gprofng,ld}
+
+ $(use_with debuginfod)
+
+ $(use_enable test unit-tests)
+
+ # Allow user to opt into CET for host libraries.
+ # Ideally we would like automagic-or-disabled here.
+ # But the check does not quite work on i686: bug #760926.
+ $(use_enable cet)
+
+ # Helps when cross-compiling. Not to be confused with --with-sysroot.
+ --with-build-sysroot="${ESYSROOT}"
+ )
+
+ is_cross && myconf+=(
+ --with-sysroot="\${prefix}/${CTARGET}"
+ --includedir="\${prefix}/include/${CTARGET}"
+ --with-gdb-datadir="\${datadir}/gdb/${CTARGET}"
+ )
+
+ # gdbserver only works for native targets (CHOST==CTARGET).
+ # it also doesn't support all targets, so rather than duplicate
+ # the target list (which changes between versions), use the
+ # "auto" value when things are turned on, which is triggered
+ # whenever no --enable or --disable is given
+ if is_cross || use !server ; then
+ myconf+=( --disable-gdbserver )
+ fi
+
+ myconf+=(
+ --enable-64-bit-bfd
+ --disable-install-libbfd
+ --disable-install-libiberty
+ --enable-obsolete
+ # This only disables building in the readline subdir.
+ # For gdb itself, it'll use the system version.
+ --disable-readline
+ --with-system-readline
+ # This only disables building in the zlib subdir.
+ # For gdb itself, it'll use the system version.
+ --without-zlib
+ --with-system-zlib
+ --with-separate-debug-dir="${EPREFIX}"/usr/lib/debug
+ --with-amd-dbgapi=$(usex rocm)
+ $(use_with xml expat)
+ $(use_with lzma)
+ $(use_enable nls)
+ $(use_enable sim)
+ $(use_enable source-highlight)
+ $(use multitarget && echo --enable-targets=all)
+ $(use_with python python "${EPYTHON}")
+ $(use_with xxhash)
+ $(use_with guile)
+ $(use_with zstd)
+
+ # Find libraries using the toolchain sysroot rather than the configured
+ # prefix. Needed when cross-compiling.
+ #
+ # Check which libraries to apply this to with:
+ # "${S}"/gdb/configure --help | grep without-lib | sort
+ --without-lib{babeltrace,expat,gmp,iconv,ipt,lzma,mpfr,xxhash}-prefix
+ )
+
+ # source-highlight is detected with pkg-config: bug #716558
+ export ac_cv_path_pkg_config_prog_path="$(tc-getPKG_CONFIG)"
+
+ export CC_FOR_BUILD="$(tc-getBUILD_CC)"
+
+ # ensure proper compiler is detected for Clang builds: bug #831202
+ export GCC_FOR_TARGET="${CC_FOR_TARGET:-$(tc-getCC)}"
+
+ econf "${myconf[@]}"
+}
+
+src_test() {
+ # Run the unittests (nabbed invocation from Fedora's spec file) at least
+ emake -k -C gdb run GDBFLAGS='-batch -ex "maintenance selftest"'
+
+ # Too many failures
+ # In fact, gdb's test suite needs some work to get passing.
+ # See e.g. https://sourceware.org/gdb/wiki/TestingGDB.
+ # As of 11.2, on amd64: "# of unexpected failures 8600"
+ # Also, ia64 kernel crashes when gdb testsuite is running.
+ #emake -k check
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ find "${ED}"/usr -name libiberty.a -delete || die
+
+ # Delete translations that conflict with binutils-libs. bug #528088
+ # Note: Should figure out how to store these in an internal gdb dir.
+ if use nls ; then
+ find "${ED}" \
+ -regextype posix-extended -regex '.*/(bfd|opcodes)[.]g?mo$' \
+ -delete || die
+ fi
+
+ # Don't install docs when building a cross-gdb
+ if [[ ${CTARGET} != ${CHOST} ]] ; then
+ rm -rf "${ED}"/usr/share/{doc,info,locale} || die
+ local f
+ for f in "${ED}"/usr/share/man/*/* ; do
+ if [[ ${f##*/} != ${CTARGET}-* ]] ; then
+ mv "${f}" "${f%/*}/${CTARGET}-${f##*/}" || die
+ fi
+ done
+ return 0
+ fi
+
+ # Install it by hand for now:
+ # https://sourceware.org/ml/gdb-patches/2011-12/msg00915.html
+ # Only install if it exists due to the twisted behavior (see
+ # notes in src_configure above).
+ [[ -e gdbserver/gdbreplay ]] && dobin gdbserver/gdbreplay
+
+ docinto gdb
+ dodoc gdb/CONTRIBUTE gdb/README gdb/MAINTAINERS \
+ gdb/NEWS gdb/PROBLEMS
+ docinto sim
+ dodoc sim/{MAINTAINERS,README-HACKING}
+
+ if use server ; then
+ docinto gdbserver
+ dodoc gdbserver/README
+ fi
+
+ # Remove shared info pages
+ rm -f "${ED}"/usr/share/info/{annotate,bfd,configure,ctf-spec,standards}.info*
+
+ use guile && guile_unstrip_ccache
+
+ if use python ; then
+ python_optimize "${ED}"/usr/share/gdb/python/gdb
+ fi
+}
+
+pkg_postinst() {
+ # Portage doesn't unmerge files in /etc
+ rm -vf "${EROOT}"/etc/skel/.gdbinit
+
+ if use prefix && [[ ${CHOST} == *-darwin* ]] ; then
+ ewarn "gdb is unable to get a mach task port when installed by Prefix"
+ ewarn "Portage, unprivileged. To make gdb fully functional you'll"
+ ewarn "have to perform the following steps:"
+ ewarn " % sudo chgrp procmod ${EPREFIX}/usr/bin/gdb"
+ ewarn " % sudo chmod g+s ${EPREFIX}/usr/bin/gdb"
+ fi
+}
diff --git a/dev-debug/gef/Manifest b/dev-debug/gef/Manifest
index 4316d43dca2a..97b35d5f44c0 100644
--- a/dev-debug/gef/Manifest
+++ b/dev-debug/gef/Manifest
@@ -1,8 +1,8 @@
DIST gef-2023.08.tar.gz 230347 BLAKE2B b9b8fed1bdf81fa870583921c4bdd6df2d98112748c939da48acae7e636ec6e22dc751d8ed75e52e72ff0aa04835720293f0e82e99ff614c447f2a614c76e48a SHA512 d3a26826b991db7e8d475da945b16933ce046dd64381f5df60ea0fe310d0325f39b05142de5f75abbbd5693c93ad70ff25e982d0ff3526a6fe66fd7526a359c5
-DIST gef-2024.01.tar.gz 235145 BLAKE2B f5409e592c50dbbe65761e7727f28aa7a96b130449f187e392cc0170707b7cfb2d1bf9e75581dce7dce8ff6d004ffc624d34a46b7ba35ab434a5671662860bdb SHA512 d8dbc308f864e434ea79eaf44e329e11f2cea9836a5dcdc019bd621bbec6792f70e58edd9fd8b3c434dc61a17fbac08394e281530423081beb1cc1192aece79c
DIST gef-2024.06.tar.gz 243709 BLAKE2B e01b07f12c147103c544713ca4139e75ab961a29b139278e0c3765a0f595bec5e27dcc1e783dbb8657e18c029c1a2b28a073d2784912c836d5d508d2fb62f6ff SHA512 5eaa3fc1a39146d241f58bf3f5f3e912ad00b098b414c27a2d3a6e5b5f74e415b2d141cd9e7ccf3fd4aaa1b711ab62cc32d666cbc51dedf8a14b315df182d861
+DIST gef-2025.01.tar.gz 246677 BLAKE2B a607d882ed62efa4da7a60d594852a9bc2f6d6583bd7049fd6db616e71fcfb1caf9a7fd9be261b604257740974cbd1ce7ce1b11c061006a22e85dac57e7011db SHA512 0a028c0457b6b35a78ab4e8030010d586bb38bf8968ff1b4bf67d7f0bacedb78f3627699674f50217154f9254fac0ec5d65922845af3da0f72fed7b9bfc2ad8d
EBUILD gef-2023.08.ebuild 1602 BLAKE2B 6845fd1e36bf904b5d4dd82f3bada677d6189d013f851f9efb0ba5e6741c06ba8ebba32d6071fb18ca6004baecb0fb5248b5a14af045adbdf4975aa27b7464cd SHA512 8a0b35fa12cd7ef715ce149b777139d8e1ab25f49c4376c42c46b488e31e250100746039f424aabdfabe09bfea8e916840bf4de4102081b3890ba7438be1b141
-EBUILD gef-2024.01.ebuild 1621 BLAKE2B ec56e43a24360fc702411bf466a3c7a1a8059ded684fdf1d8f4b6ba2d594cc90c5ddeecaafb3eb530e3f8dced2261b152e3b59aa276408edfa4fc4512fddeab6 SHA512 cafc63c7c0a427f2ccceae2b51f9c13559094d1a1eec7c8600b9853a53bb01575b0d8cb6429ca91d8b41471cd756284863728312b5d27b2e9dbb827704420005
EBUILD gef-2024.06.ebuild 1621 BLAKE2B 765a8c3c6451d593b2cee71b342be794fb90a03c81d125bde82a9b5d2743cfbf59099e98c4c0a4dcbe634939c3d356ac73a3dca09ba323abaf034449026d2f28 SHA512 3d55cc7e1c71b3e266606d4be5ab059625931e6ed7f3b1e197f666b44929bb1eed513a1d30e7e88bd24a916f72afadae7a9b43a8328fa79ff84728f4fdb1bba2
-EBUILD gef-9999.ebuild 1623 BLAKE2B 22d76e75d749398008bdec21e8c8f0f01bd0a0f12b36c72eee168b44493ae391c8ebfc035c9895a3c5cbdf1f8a96c5f7924b1d03035588a314ff49bd7372dcd2 SHA512 197e80b318ccb055c49e837b290bcea9752167c391bed8555d6b2fe23d3e45282604146bf597300f37d5b8ded6a0ccd768a9ecfaf8644a0876405f1b9bff5a1b
+EBUILD gef-2025.01.ebuild 1623 BLAKE2B 37c70545f57c8febcb7cfeb4a7fec55a66627d25e2b9a1aca63986a0f9ff68e2c6b78dbe1d010880fbc2cfebde0adbe34f601eea3de0c91dada0abe9a535f122 SHA512 51cbcddaa1bb0d979af088bc146bf4f48dcce1184b6345792ea9b49dcc026d3da7e133025d208c585caf12a32d6c063409e794859e72367769056ba32a625ef4
+EBUILD gef-9999.ebuild 1623 BLAKE2B 37c70545f57c8febcb7cfeb4a7fec55a66627d25e2b9a1aca63986a0f9ff68e2c6b78dbe1d010880fbc2cfebde0adbe34f601eea3de0c91dada0abe9a535f122 SHA512 51cbcddaa1bb0d979af088bc146bf4f48dcce1184b6345792ea9b49dcc026d3da7e133025d208c585caf12a32d6c063409e794859e72367769056ba32a625ef4
MISC metadata.xml 995 BLAKE2B f4c30ac2ea932c90b74800c44389169199cdc189e69584a3873c91b36086eb30b5d463a12a5b08cc45196aa57e939d00806e3d1e96fbb647c997ab891a312ea0 SHA512 b4e09578a7f5656688dced42d1f924ba928b59abcb8345fe143be11ae30b553cda26663c6771a99e44ffc9f72c187b871ee2d1c096bf49d37b1e0fd460653ad4
diff --git a/dev-debug/gef/gef-2024.01.ebuild b/dev-debug/gef/gef-2025.01.ebuild
index bf8bb064076e..7e4f9cae82bd 100644
--- a/dev-debug/gef/gef-2024.01.ebuild
+++ b/dev-debug/gef/gef-2025.01.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
DOCS_BUILDER="mkdocs"
DOCS_DEPEND="
@@ -20,7 +20,7 @@ if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/hugsy/gef"
else
SRC_URI="https://github.com/hugsy/gef/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="amd64 ~arm64 x86"
+ KEYWORDS="~amd64 ~arm64 ~x86"
fi
LICENSE="MIT"
diff --git a/dev-debug/gef/gef-9999.ebuild b/dev-debug/gef/gef-9999.ebuild
index 4dc004439e56..7e4f9cae82bd 100644
--- a/dev-debug/gef/gef-9999.ebuild
+++ b/dev-debug/gef/gef-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -32,8 +32,8 @@ REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
${PYTHON_DEPS}
- dev-debug/gdb[python,${PYTHON_SINGLE_USEDEP}]
dev-util/ropper[${PYTHON_SINGLE_USEDEP}]
+ dev-debug/gdb[python,${PYTHON_SINGLE_USEDEP}]
$(python_gen_cond_dep '
dev-libs/capstone[python,${PYTHON_USEDEP}]
dev-libs/keystone[python,${PYTHON_USEDEP}]
diff --git a/dev-debug/pwndbg/Manifest b/dev-debug/pwndbg/Manifest
index 8bffbc1db354..3ee0f1e6016d 100644
--- a/dev-debug/pwndbg/Manifest
+++ b/dev-debug/pwndbg/Manifest
@@ -1,6 +1,6 @@
-DIST pwndbg-20240214.tar.gz 8536795 BLAKE2B 75524fb9f701769f2a117b4aa1158f648cd854fd38475c20bee4b7ae27ae8f331c40367738a467dd5c7f8994ac80efd3290a64e59ffb9e5a240546be8fb1c6e8 SHA512 3d55e762cecd2b42b9debb36f3ee0a8983be744192d4c1a0424517b0fd8ae8fb329197228a88ddd726e640f1bcd0e0bcdc7e95a64e041630e20cfcbf6acff1aa
DIST pwndbg-20240829.tar.gz 8649207 BLAKE2B 5333c318ba3ccbaaac459f9c7b917d3defa1ad712f45555b31eb76774089e55e80720744dc92813ad8234302445e3bed3237c2275c795a49856028dec416dcc2 SHA512 503924742d4a6d767ec369bb1e37c931afb5ab09f2b4cfa048765ce7a61fb6adcda2576cdda64dd4cf74de27d83b13b4dc09d6e7480e01ae8f646c5394992d43
-EBUILD pwndbg-20240214.ebuild 2300 BLAKE2B 3b26d3b0feb7d425a1dee2f948823632ebb4f63dab672202aef5abeab69b48bd566f2aa0b3dc55dfba2e8a39a202ce0fc7c414eb585fcc8a7178ce8f3a4784ba SHA512 6d2a4fd1e003d46b8dc32f1921fbcf450b055982d5ecc5b008ee1c8e8b8a42ad044a62751f1df36f4ff0e02f69c0c01647be1456747eec450d4ffa123aca4230
+DIST pwndbg-20250120.tar.gz 8959258 BLAKE2B 58c2c6139d8d96c939c602f694519167d4722f7ed05a92a5c38e55e0a894ffd930813d583e07bc70d0114abdcf8e34e7e859ceeb1113fc0cd00dd4af513f213b SHA512 b619b8b3727a4a23a3146f2bb0f3475ad788e82712cb669d233d88ce546546f114882162df6e5d0b357e9fa143a6829f7387132ee2a7f922dc4e669a215d8d51
EBUILD pwndbg-20240829.ebuild 2404 BLAKE2B ec46079399e828aa7cef38ffe8ee41a8d136932730cdc54ad49f4a12e9311cd30ff837c666c159e48ba2626a156ed679613662e239d3577ab9d158c3180804dc SHA512 671f1e797b0e940701a79d5d8d1b79ff8dc573ced24a023b5d0250db7f2323a4f76de78dbeee14cb6217b1478f9bab95b6d81001ddcb155d3302f88634bf97f3
+EBUILD pwndbg-20250120.ebuild 2301 BLAKE2B 1ea0866a1593a56996f001e1e825f9e26b34fea4703b2194be35a68f7a0d78fc223514d095f64f1e8c19a648fa19b31c23485f6949abff2687ff9978e085cd27 SHA512 16f080b65408db871d78b6a6d33155aef234f3397b5e3d306f85fbae495120b7a358d9c68900a604b35e4717f86a765e4a8c9e9b3db20f9bac827deee16a1f9b
EBUILD pwndbg-99999999.ebuild 2302 BLAKE2B 7e8891efeec4f284e11be2cdd04d71aa3036cb0d4d3fa079e24eaf2f768f9022b761c699cd2ae474d29cda3e0bf26b5b0be81e69f00333c98f24cb1a357ded46 SHA512 d54e8b6ce73e90358af35bf276d79e0068de178e12aa86a60bcb87dd68a0bc4090f7b1a3f0c9dd4172638d7d4497beba740364fab0c7cd68274b4f37c9a7aa7f
MISC metadata.xml 692 BLAKE2B bb74dda183fe35e5873e7cbaa5886dec5beaf082968b16352bcda55f2e14dbdb78ee48d2e0195baa735b0f615b0469f8fd48429c47f4a81d2fc0391cafaade76 SHA512 8a6a9ec3aa03e597d8302a5b1001fbfd569e6efb08157445bedb58ec82b4d7812aad7a852ae3eb0d0f245cbf89c85a357e532855c19e6dbc9d438c16e0bd549d
diff --git a/dev-debug/pwndbg/pwndbg-20240214.ebuild b/dev-debug/pwndbg/pwndbg-20250120.ebuild
index 3b74b964df2b..090f2791b9cc 100644
--- a/dev-debug/pwndbg/pwndbg-20240214.ebuild
+++ b/dev-debug/pwndbg/pwndbg-20250120.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=poetry
DISTUTILS_SINGLE_IMPL=1
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
inherit distutils-r1 wrapper
@@ -18,7 +18,7 @@ if [[ ${PV} == "99999999" ]]; then
else
MY_PV="${PV:0:4}.${PV:4:2}.${PV:6:2}"
SRC_URI="https://github.com/pwndbg/pwndbg/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="amd64 ~arm64 x86"
+ KEYWORDS="~amd64 ~arm64 ~x86"
S="${WORKDIR}/${PN}-${MY_PV}"
fi
@@ -27,17 +27,17 @@ SLOT="0"
RDEPEND="
dev-debug/gdb[python,${PYTHON_SINGLE_USEDEP}]
- ~dev-python/gdb-pt-dump-0.0.0_p20231111[${PYTHON_SINGLE_USEDEP}]
+ ~dev-python/gdb-pt-dump-0.0.0_p20240401[${PYTHON_SINGLE_USEDEP}]
$(python_gen_cond_dep '
- >=dev-libs/capstone-5.0_rc4[python,${PYTHON_USEDEP}]
- >=dev-python/psutil-5.9.5[${PYTHON_USEDEP}]
- >=dev-python/pycparser-2.21[${PYTHON_USEDEP}]
+ >=dev-libs/capstone-5.0.3[python,${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9.8[${PYTHON_USEDEP}]
+ >=dev-python/pycparser-2.22[${PYTHON_USEDEP}]
>=dev-python/pyelftools-0.29[${PYTHON_USEDEP}]
- >=dev-python/pygments-2.15.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.18.0[${PYTHON_USEDEP}]
>=dev-python/tabulate-0.9.0[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-4.6.1[${PYTHON_USEDEP}]
- >=dev-util/pwntools-4.11.0[${PYTHON_USEDEP}]
- >=dev-util/ROPgadget-7.2[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.12.0[${PYTHON_USEDEP}]
+ >=dev-util/pwntools-4.13.1[${PYTHON_USEDEP}]
+ >=dev-util/ROPgadget-7.3[${PYTHON_USEDEP}]
>=dev-util/unicorn-2.0.1[python,${PYTHON_USEDEP}]
')
"
diff --git a/dev-debug/strace/Manifest b/dev-debug/strace/Manifest
index 6c0353e9cc12..786b95540487 100644
--- a/dev-debug/strace/Manifest
+++ b/dev-debug/strace/Manifest
@@ -3,12 +3,15 @@ DIST strace-6.11.tar.xz 2610440 BLAKE2B 5ea511cd0d2f287ec4c979af7306b29ca39975a4
DIST strace-6.11.tar.xz.asc 801 BLAKE2B bc60367dafb08551510bf64c384315aadc3027ed256fbfa5a6e23139800ad01f12b7ebdc09e7845b202260ec38b4a5de70e5701abd9dddc0c5f3c4c32bd6c97b SHA512 bdb86f8fa9b168240b892814037660456ee7beed547e6f5bbcb61431e6fd8d6544b8b169cc794e084c3c11f2f62aff36de410294c609c0a9ea8781fa1ddf57aa
DIST strace-6.12.tar.xz 2628804 BLAKE2B 8077a9ae0b05065cf2de7a2bd630a6275735bd77765a5654cb34f17c93b3fda69d77743c5eb8e75efcc1f6ec8707698642d30bd62cc3aa4355bec0d5a00eec89 SHA512 ae28f0b6b6fdc980898f11d1903aacb5a31760a07d63bd7cbc8f9b5f337d9db6b40464d6b61a9b03ba6442b476edb78afc91348f539f7780cdd98b174c6a9a1d
DIST strace-6.12.tar.xz.asc 801 BLAKE2B 0c3d81747128039c2304c2c6509f14d868c49b1d7036128ab58a2df7690ea40ab643a54f274c0fecbae4bbc4e90ee5d05037630525db828aa4995199ab415cba SHA512 7b8d6148f3160e39033016d17a54f0b0e0a67fb20ab688486db401521d45ba5197d4a8106f6b173f08a787e59d88147a71ee88435afe0a545fc8f75f621bee79
+DIST strace-6.13.tar.xz 2642452 BLAKE2B cdac801dc5b0fe9c165d9d99a41e51aacf13e8bd05baccca26fff360f2a7052a3f1b7016dee85a37d074c4e0f3b9255a29a146e13b6099a2ef8f9d493e3b1079 SHA512 e702238f32882f92a2b2834fb853b5fa3d81decb441b69f0e74ba0205f6a586bfe698e34bfbac6d4f766ebd25d0b99d4679d9eb27845e5129cfd4e34ced6a8d2
+DIST strace-6.13.tar.xz.asc 801 BLAKE2B 508286a008213e2bd3e0cba6c339a61abae1460f0f71b885c7bef480431bdf5e190a2cb3e44d236019ed54d3bf3a257ebb94e2161971abe0648f685e7849e3bd SHA512 a59e4aeff491ad62603b0591653e7da5e8a4ef0fedcf2faad3f485993b37b738c0809cefa5753ab7d1b85f3b6c87b423b6416dea36def65e220548ee0b4afb46
DIST strace-6.8.tar.xz 2457948 BLAKE2B 0897aedc6a1ed162b8967a56d54dd0bc589ce027321c1219e5fc23e6a44103576e0f363f79a03def365a05989173271eb6096a9c48b16cdf8c54033ec6bd6f2a SHA512 c477724a77112a74a5236a38b7dbaa9b6199622a1d21cc6253cac80dc4ddea78aeaf8cddf4a51ee4119e00e1adaf95f64f64e20d9775ec3edd77cd82c8f7b30e
DIST strace-6.8.tar.xz.asc 801 BLAKE2B 544f9a59824f5bd2e682b4df0106c85c90be8eba8fe99fa5a5b6ccc69bd9ced176f4ce3a02253e16a51290dae452426da3827e653d4c38f44eaf06427007e5a5 SHA512 4bcbf6b01440cd94ae2e05cc13220a141a0cc7c3a974d92947e09217fa4c77d7f7c272aaf32107c8974e140da25fd78e45f9f48731406b4dfd4d5a955e663daa
DIST strace-6.9.tar.xz 2466252 BLAKE2B 2da51f253ea18f27b5fabafaebdc54805aeca5b750bec6169c269dbcadb98cf76a47bf92dd619458ca86d46ec7a03710e16e0ac4973d89a86edc2d0b853714c8 SHA512 aa80b9b6ec41082f1710f2327f7a22003cdce6d95ab0e5083ada9c5b7b40b8f7cbc7dc6c017878dc0e42c52e405e98ed1488c51d17bc3538989ff4be2c2411e1
DIST strace-6.9.tar.xz.asc 801 BLAKE2B ccb3d026a272bc02d351fd15f8b18a50a8653cda247ea9baa938820fb3c870e1803562d7e17eac3d4f1842911a4e904bc88ba267cb74aeac869185e30cd89d48 SHA512 577a3f5d0bdd51b995755a76b58e6bdf6a0a173966bb1d95ebba0a59df8a8e828eb5eca4cda55c9faf7e31053652911541134107199c073ec24fa877cec393bd
EBUILD strace-6.11.ebuild 2718 BLAKE2B c16ce324799056ddc1cd29c8ba318ad8746baf0a63bfd82810488bf90379dc0662cef7400ad641b131f6151874a84a5b8cbaa29ae8bbfe9108d6721a21f30d1b SHA512 86ec562db2041e303d25fe00bcd30488313ac6cd0f51d21259f731283056cb07bb06a8fa37fe1c4812c16325e25c5dc5ea705196449aaeed284715024e5de8d3
EBUILD strace-6.12.ebuild 2711 BLAKE2B 9219b6200b2439e272c8e0b4d388863117f7db3ee898a16e3f936f0d45fb6f2aef40c113677f3c1d9223d93ebd376f4e463507e0bd984dbd4e06ac5ff8644288 SHA512 e34cb96bb53b23a50bf6750e9077978203a9b4b4625578824668fab31e5552ddcf26bcab0d97314c715b589867e80ed1b97cdb0c5bd8f1747ec842c47e546cb1
+EBUILD strace-6.13.ebuild 2718 BLAKE2B 322c3ecdff6c8f47bf9e8ff9b16909646b083909e37e449d3771cf98a6facf0bbf87dc6b6740cca8e42966b51a519a6c528b1b631260211ab26f1916345b59d6 SHA512 7483623ab7eadb25f0e6e9a376d42b62a05fce3aad42d0e5e8797cd0c6435cb995b764802340c714adebc99018b6dabd50f0274fc775c2f8d9d705218f81082b
EBUILD strace-6.8.ebuild 2710 BLAKE2B 0c138a2f11c8e009b78c03e6711c2526d979e2607cd7ef933437259cf8e031f2b8fd1aecc8bf30a6112f7202d57cf1d2b1c7227ed5504bdad084c4e7b41ff5fe SHA512 56be8bb6c1e6c2f840cac2d675795a0eea6bca6232c39995613b7d91328c57b40bc8b77abf5d45ec44f9071f2b02b8b247cdaf3cb3c61f27cb90b2abab569e94
EBUILD strace-6.9.ebuild 2710 BLAKE2B 8f3a8c04a23888e93982f0800052ce86913badbcc21e0a5e296ae293d9ef087f438e740dc500f5cf072533fc4ac6a47ea310c358a2a4ee343bdd86a54334f9a6 SHA512 536b4488e42a0af4f9edf80ba925bed537265b120e4b7acb5b21b3c1d311ed1cc58f645755c167948b2a5eae84ee8fdd9aacb9cc4b10ed0faa3c89c5b888d7a7
EBUILD strace-9999.ebuild 2718 BLAKE2B c16ce324799056ddc1cd29c8ba318ad8746baf0a63bfd82810488bf90379dc0662cef7400ad641b131f6151874a84a5b8cbaa29ae8bbfe9108d6721a21f30d1b SHA512 86ec562db2041e303d25fe00bcd30488313ac6cd0f51d21259f731283056cb07bb06a8fa37fe1c4812c16325e25c5dc5ea705196449aaeed284715024e5de8d3
diff --git a/dev-debug/strace/strace-6.13.ebuild b/dev-debug/strace/strace-6.13.ebuild
new file mode 100644
index 000000000000..d5b1de3c19a2
--- /dev/null
+++ b/dev-debug/strace/strace-6.13.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools edo flag-o-matic toolchain-funcs verify-sig
+
+DESCRIPTION="Useful diagnostic, instructional, and debugging tool"
+HOMEPAGE="https://strace.io/"
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/strace/strace.git"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz
+ verify-sig? ( https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz.asc )
+ "
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/strace.asc
+
+LICENSE="LGPL-2.1+ test? ( GPL-2+ )"
+SLOT="0"
+IUSE="aio perl selinux static test unwind elfutils"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="?? ( unwind elfutils )"
+
+BDEPEND="
+ virtual/pkgconfig
+ verify-sig? ( >=sec-keys/openpgp-keys-strace-20151021 )
+"
+LIB_DEPEND="
+ unwind? ( sys-libs/libunwind[static-libs(+)] )
+ elfutils? ( dev-libs/elfutils[static-libs(+)] )
+ selinux? ( sys-libs/libselinux[static-libs(+)] )
+"
+# strace only uses the header from libaio to decode structs
+DEPEND="
+ static? ( ${LIB_DEPEND} )
+ aio? ( >=dev-libs/libaio-0.3.106 )
+ sys-kernel/linux-headers
+"
+RDEPEND="
+ !static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+ perl? ( dev-lang/perl )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-6.5-static.patch"
+)
+
+src_prepare() {
+ default
+
+ if [[ ! -e configure ]] ; then
+ # git generation
+ sed /autoreconf/d -i bootstrap || die
+ edo ./bootstrap
+ [[ ! -e CREDITS ]] && cp CREDITS{.in,}
+ fi
+
+ eautoreconf
+
+ # Stub out the -k test since it's known to be flaky. bug #545812
+ sed -i '1iexit 77' tests*/strace-k.test || die
+}
+
+src_configure() {
+ # Set up the default build settings, and then use the names strace expects.
+ tc-export_build_env BUILD_{CC,CPP}
+ local v bv
+ for v in CC CPP {C,CPP,LD}FLAGS ; do
+ bv="BUILD_${v}"
+ export "${v}_FOR_BUILD=${!bv}"
+ done
+
+ filter-lfs-flags # configure handles this sanely
+
+ export ac_cv_header_libaio_h=$(usex aio)
+ use elibc_musl && export ac_cv_header_stdc=no
+
+ local myeconfargs=(
+ --disable-gcc-Werror
+
+ # Don't require mpers support on non-multilib systems. #649560
+ --enable-mpers=check
+
+ $(use_enable static)
+ $(use_with unwind libunwind)
+ $(use_with elfutils libdw)
+ $(use_with selinux libselinux)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_test() {
+ if has usersandbox ${FEATURES} ; then
+ # bug #643044
+ ewarn "Test suite is known to fail with FEATURES=usersandbox -- skipping ..."
+ return 0
+ fi
+
+ default
+}
+
+src_install() {
+ default
+
+ if use perl ; then
+ exeinto /usr/bin
+ doexe src/strace-graph
+ fi
+
+ dodoc CREDITS
+}